Pb avec xscreensaver 5.36


#1

Bonjour,
J’ai viré lightlocker et installé xscreensaver (glslideshow) : il se met en marche de manière intempestive en me balançant l’un ou l’autre des messages d’erreur :

  • glslideshow: frame rate is only 3.3! Turning off pan/fade to compensate…
  • l’autre concerne le fait d’avoir dépassé le délai pour s’identifier (PAM)

J’ai cherché sur le net et je n’ai pas trouvé d’explication ou d’aide. =>

  • Suis je le seul et si non comment vous vous en êtes sorti ?
  • connaissez vous une alternative à xscreensaver+gslideshow

Merci d’avance,
Mob.
PS : stretch+xfce


#2

Bonsoir, pourrais t’on savoir comment tu l’as téléchargé ?
.deb ou apt-get install ?

Voilà ce que j’ai trouver mes dates de 2016

(résolu) xscreensaver 5.34


#3

sudo apt-get install xscreensaver


#4

Tu peux peut être utiliser les backports backports
N’hésite pas à poser t’es questions


#5

Merci de ta réponse. J’ai ajouté les backport à mon sources.list j’ai fait
sudo apt-get -t stretch-backports xscreensaver
mais c’est toujours la 5.36.1 qui s’installe, celle qui est dans les dépots de stretch et par ailleurs j’ai été voir avec synaptic ce qu’il y avait dans les backports et il n’y a pas de xscreensaver (tout cela est logique).
Je suis allé voir sur le site du créateur de xscreensaver
https://www.jwz.org/xscreensaver/
et dans sa FAQ :

The screensaver activates when I’m not idle! It’s not noticing my mouse clicks or mouse wheel.
On most X11 systems, this is unfortunately the case, and there’s no way around it. XScreenSaver notices all keyboard activity; and every few seconds, it checks the position of the mouse. If there have been no keystrokes or mouse motion , it assumes you are idle. It cannot detect mouse clicks, nor the scroll wheel.
This is because, for no good reason, the X Window System does not allow programs to “snoop” on mouse clicks (though snooping of keystrokes and mouse positions is permitted!)

Ça correspond à mon pb de mise en marche intempestive.
@+

EDIT :
Par ailleurs voilà ce qu’il conseille :

If you are using Debian, you should be able to find a more recent version of XScreenSaver in their so-called “unstable” packages. Scroll down, find the .deb package for your architecture, and install that.


#6

Avant toute chose assure toi que ton système soit propre et sain, ensuite regarde du côté de étiquettage de paquets, “pinning” en anglais.

Il s’agit de mixer pour certains paquets plusieurs dépôts Debian Officiel et de leur donner une priorité.

Dans ton cas il te faudra regarder du côté des dépendances du paquet Xscreensaver et voir quels sont les paquets véritablement nécessaire provenant de la branche_ testing_ ou unstable.

Attention si lors de l’installation des paquets via l’option -t LE_DÉPÔTS de ton paquets tu n’a pas mis de priorité plus forte pour la dépôts actuellement utilisé par ton système, tu va te retrouver à mettre à jour la version complète de ton système (prudence et lecture de rigueur).

PS : lors de recherche de paquets en dehors de son dépôts une manière simple est de passer par ces mots clés : debian package le-nom-du-paquet

https://packages.debian.org/stretch/xscreensaver

PS2: il a une ch…é de paquets en dépendances qui eux mêmes vont avoir aussi des dépendances, à ce compte là la version du dépôts testing ne suffirait t’elle pas ? sachant que la version de Debian testing ‘BUSTER’ est actuellement en cours de gel pour stabilisation avant sa sortie en tant que nouvelle version stable, c’est peut-être une chose à réfléchir.


#7

Tu m’étonnes …
Merci Clochette. Ça me gonflait déjà d’aller chercher des trucs en backports, alors en unstable. Et à la fin (coût bénéfice) tout ça pour avoir un screensaver (qui sert à rien depuis que les tubes ont été abandonnés) en slideshow. Mais bon, on sait bien ce que c’est : ça participe de l’affirmation identitaire. J’en conçois néanmoins de la contrariété au regard du fait que ça marchait nickel en xubuntu 14.04. 'fin bon bref. Vais en rester là.
Merci encore
@+